: Class StringUtils

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class StringUtils

    java.lang.Object
      |
      +--calypso.util.StringUtils

public class StringUtils
extends java.lang.Object

Constructor Summary
`StringUtils()`

Method Summary
`static java.lang.String` | `CompressWhitespace(java.lang.String aString, boolean aLeading)` Compress the whitespace out of a string and return a new string
`static boolean` | `IsWhitespace(java.lang.String aString)` Return true if the string buffer contains nothing but whitespace as defined by Character.isWhitespace()
`static java.lang.String` | `JavaQuote(java.lang.String aString, boolean aProvideOuterQuotes)`
`static java.lang.String` | `LowerCase(java.lang.String aString)` Lowercase the characters in aString.
`static java.lang.String` | `ToHex(int i, int aDigits)` Translate an integer into a string that is at least aDigits wide.
`static java.lang.String` | `UpperCase(java.lang.String aString)` Uppercase the characters in aString.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtils

    public StringUtils()

Method Detail

### UpperCase

    public static java.lang.String UpperCase(java.lang.String aString)

  Uppercase the characters in aString.

### LowerCase

    public static java.lang.String LowerCase(java.lang.String aString)

  Lowercase the characters in aString.

### IsWhitespace

    public static boolean IsWhitespace(java.lang.String aString)

  Return true if the string buffer contains nothing but whitespace as defined by Character.isWhitespace()

### ToHex

    public static java.lang.String ToHex(int i,
                                         int aDigits)

  Translate an integer into a string that is at least aDigits wide. Pad with zeros if necessary.

### CompressWhitespace

    public static java.lang.String CompressWhitespace(java.lang.String aString,
                                                      boolean aLeading)

  Compress the whitespace out of a string and return a new string

### JavaQuote

    public static java.lang.String JavaQuote(java.lang.String aString,
                                             boolean aProvideOuterQuotes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD